POST V1/CustomerSupport.{ext}/EmailQueue

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.EmailQueue
NameDescriptionTypeAdditional information
SenderEmailId

No description available

string

None.

SenderUserId

No description available

string

None.

ReceiverEmailId

No description available

string

None.

ReceiverUserId

No description available

string

None.

ReceivedDate

No description available

date

None.

Subject

No description available

string

None.

Body

No description available

string

None.

EmailGuid

No description available

string

None.

Priority

No description available

string

None.

TimeZone

No description available

string

None.

IsAttachmentsAvailable

No description available

boolean

None.

MessageGuid

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "senderEmailId": "sample string 1",
  "senderUserId": "sample string 2",
  "receiverEmailId": "sample string 3",
  "receiverUserId": "sample string 4",
  "receivedDate": "2026-06-01T14:13:36.7402165-04:00",
  "subject": "sample string 6",
  "body": "sample string 7",
  "emailGuid": "sample string 8",
  "priority": "sample string 9",
  "timeZone": "sample string 10",
  "isAttachmentsAvailable": true,
  "messageGuid": "sample string 12"
}

application/xml, text/xml

Sample:
<EmailQueue xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Body>sample string 7</Body>
  <EmailGuid>sample string 8</EmailGuid>
  <IsAttachmentsAvailable>true</IsAttachmentsAvailable>
  <MessageGuid>sample string 12</MessageGuid>
  <Priority>sample string 9</Priority>
  <ReceivedDate>2026-06-01T14:13:36.7402165-04:00</ReceivedDate>
  <ReceiverEmailId>sample string 3</ReceiverEmailId>
  <ReceiverUserId>sample string 4</ReceiverUserId>
  <SenderEmailId>sample string 1</SenderEmailId>
  <SenderUserId>sample string 2</SenderUserId>
  <Subject>sample string 6</Subject>
  <TimeZone>sample string 10</TimeZone>
</EmailQueue>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.